Bug 215798 - kprobe installed on scheduler_tick causes crash
kprobe installed on scheduler_tick causes crash
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Linda Wang
Brian Brock
http://sources.redhat.com/bugzilla/sh...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 14:56 EST by William Cohen
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 14:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2006-11-15 14:56:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.13) Gecko/20060418 Fedora/1.0.8-1.1.fc4 Firefox/1.0.8

Description of problem:
The simple empty systemtap probe on scheduler_tick cause the kernel RHEL4U4 kernel to crash:

#stap -v -e 'probe kernel.function("scheduler_tick") {}'

There was a suggestion by Chuck Ebbert to fix this problem.

http://lkml.org/lkml/2006/6/19/106

The question is Ebbert's suggestions a reasonable fix to the problem?




Version-Release number of selected component (if applicable):
kernel-2.6.9-42.0.3.EL, 

How reproducible:
Always


Steps to Reproduce:
1. Install the needed kernel-debuginfo, kernel-devel, and sysetmtap
2. As root run: stap -v -e 'probe kernel.function("scheduler_tick") {}'


Actual Results:
Machine crashes with following messages on console:

Linux slingshot.devel.redhat.com 2.6.9-37.EL #1 Fri May 19 17:55:44 EDT 2006
i686 athlon i386 GNU/Linux

Kernel panic - not sync: kernel/module.c:2114:
spin_lock(kernel/module.c:c036b280) already locked by kernel/module.c:2114

 Badness in panic at kernel/panic.c:118

Expected Results:
Probe runs until user hits control-c. No crash.

Additional info:
Comment 3 Frank Ch. Eigler 2007-02-22 17:07:36 EST
Jason, this appears to be not a kprobe bug, but a latent bug in the exception
fixup code that just happens to be triggered by kprobes.
Comment 5 Frank Ch. Eigler 2007-03-29 14:04:37 EDT
I can no longer reproduce this bug on 2.4.9-44.EL.

Note You need to log in before you can comment on or make changes to this bug.